Komunikat „1G is not a valid maximum” w Prestashop 1.7

Może także wyświetlić się komunikat jak poniżej:

2g is not a valid maximum

Wówczas użytkownik nie jest w stanie zainstalować nowych modułów. Rozwiązanie problemu jest bardzo proste.

  1. Logujemy się na serwer FTP.
  2. Edytujemy plik File.php, który znajduje się w lokalizacji: /vendor/symfony/symfony/src/Symfony/Component/Validator/Constraints
  3. Odszukujemy następujący kod:
$factors = array(
            'k' => 1000,
            'ki' => 1 << 10,
            'm' => 1000000,
            'mi' => 1 << 20,
        );

Zmieniamy na:

$factors = array(
            'k' => 1000,
            'ki' => 1 << 10,
            'm' => 1000000,
            'mi' => 1 << 20,
            'g' => 1000000000,
            'gi' => 1 << 30,
        );

Zapisujemy zmian.

Dodaj komentarz